commit:     3a2d90d1272deaeeadf83ea5fa71e9c1aa36003e
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sat Dec  1 12:59:52 2018 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sat Dec  1 13:03:28 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3a2d90d1

sys-libs/libvpd: Version 2.2.6

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 sys-libs/libvpd/Manifest                           |  1 +
 .../libvpd/files/libvpd-2.2.6-localstatedir.patch  | 21 ++++++++++++
 sys-libs/libvpd/libvpd-2.2.6.ebuild                | 38 ++++++++++++++++++++++
 3 files changed, 60 insertions(+)

diff --git a/sys-libs/libvpd/Manifest b/sys-libs/libvpd/Manifest
index dacb79dde20..cbd99e5e12f 100644
--- a/sys-libs/libvpd/Manifest
+++ b/sys-libs/libvpd/Manifest
@@ -1,3 +1,4 @@
 DIST libvpd-2.1.3.tar.gz 116493 BLAKE2B 
12647984c54042d77944cdeb4132a2ddeaa51502a919d790d6bd5d479efb09c06a2dde983386d62a206f0b2c7eeeb8713ac53af20cc0f53e9c24bc18073d24fb
 SHA512 
f5aac9253752552674ac6c54dd3e6dbdd7ff79867740076d6e19782940b809e53736a11e668978d8d73bf636d92d1daeb78080e5fd31c4febc2257e5497c373c
 DIST libvpd-2.2.4.tar.gz 374665 BLAKE2B 
d27cdf647c69cae2478b9286f255a9722d46c2817817da8f805f3385ece754df77505bb02e624babff66fc111ba80c26175e276ac35b7796c4a977b538ea81cb
 SHA512 
89f7e235e957393fe33e484b23fce15fbf36274db6115e7245027a17b7535e387f835c048a7063f317f10de2351a78acf2ca72b10adee0020ce62a035bfe787e
 DIST libvpd-2.2.5.tar.gz 374311 BLAKE2B 
1d0d793b958c46d6795097f5bd2f7bac3f9f9167aee0b21535d3a37114290f39cfdfb10f3789f995267312b898447f230263a0b08916f11490d56c2dd0573b4a
 SHA512 
06969e61d2882a30ebff13b6432397edb0119adc0b0f8ea603973c6ef439320c39c1cbc218fab154d595fadc966bfef07a4a9c4e4ec8fd772cf7d396000864b0
+DIST libvpd-2.2.6.tar.gz 374262 BLAKE2B 
b7741948aa62ad6221d28a674f765d085e1446c0bb45d7aa7a5f08599471023b2bb794ad5645c3b70af5806cd48cc87f117f9b4021e0f8c872ca48b748cc1e60
 SHA512 
17046eeb6ccc5372d465848eff7135cf6e9f876a2d82862e1d01a9f674b691958942e119f846bc3220c1e8f7eb549c5c7867d5d5e896072c733f400d202abc1d

diff --git a/sys-libs/libvpd/files/libvpd-2.2.6-localstatedir.patch 
b/sys-libs/libvpd/files/libvpd-2.2.6-localstatedir.patch
new file mode 100644
index 00000000000..78a44a6351c
--- /dev/null
+++ b/sys-libs/libvpd/files/libvpd-2.2.6-localstatedir.patch
@@ -0,0 +1,21 @@
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -66,6 +66,6 @@
+ 
+ install-exec-hook:
+       mkdir -p $(DESTDIR)/${sysconfdir}/udev/rules.d/
+-      mkdir -p $(DESTDIR)/${localstatedir}/lib/lsvpd/
++      mkdir -p $(DESTDIR)/${localstatedir}/lsvpd/
+       install -D --mode=644 90-vpdupdate.rules \
+                 ${DESTDIR}/${sysconfdir}/udev/rules.d/90-vpdupdate.rules
+--- a/Makefile.in
++++ b/Makefile.in
+@@ -1046,7 +1046,7 @@
+ 
+ install-exec-hook:
+       mkdir -p $(DESTDIR)/${sysconfdir}/udev/rules.d/
+-      mkdir -p $(DESTDIR)/${localstatedir}/lib/lsvpd/
++      mkdir -p $(DESTDIR)/${localstatedir}/lsvpd/
+       install -D --mode=644 90-vpdupdate.rules \
+                 ${DESTDIR}/${sysconfdir}/udev/rules.d/90-vpdupdate.rules
+ 

diff --git a/sys-libs/libvpd/libvpd-2.2.6.ebuild 
b/sys-libs/libvpd/libvpd-2.2.6.ebuild
new file mode 100644
index 00000000000..a85c190bf64
--- /dev/null
+++ b/sys-libs/libvpd/libvpd-2.2.6.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit udev
+
+DESCRIPTION="Library implementation for listing vpds"
+HOMEPAGE="https://sourceforge.net/projects/linux-diag/";
+SRC_URI="https://sourceforge.net/projects/linux-diag/files/libvpd/${PV}/libvpd-${PV}.tar.gz";
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~ppc ~ppc64"
+IUSE="static-libs"
+
+DEPEND="
+       >=dev-db/sqlite-3.7.8
+       sys-libs/zlib
+"
+RDEPEND="${DEPEND}"
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.2.6-localstatedir.patch
+)
+
+src_configure() {
+       # sysconfdir is used only to establish where the udev rules file should 
go
+       # unfortunately it also adds the subdirs on its own so we strip it down 
to
+       # dirname
+       econf \
+               $(use_enable static-libs static) \
+               --sysconfdir="$( dirname $(get_udevdir) )"
+}
+
+src_install(){
+       default
+       keepdir /var/lib/lsvpd
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to